Index: src/backend/libpq/ip.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/libpq/ip.c,v
retrieving revision 1.21
diff -u -r1.21 ip.c
--- src/backend/libpq/ip.c	5 Sep 2003 23:07:21 -0000	1.21
+++ src/backend/libpq/ip.c	7 Sep 2003 19:36:06 -0000
@@ -413,10 +413,10 @@
 {
 	struct sockaddr_in addr4;
 	struct sockaddr_in6 addr6;
-	uint32		s_addr;
+	uint32		pg_s_addr;
 
 	memcpy(&addr4, addr, sizeof(addr4));
-	s_addr = ntohl(addr4.sin_addr.s_addr);
+	pg_s_addr = ntohl(addr4.sin_addr.s_addr);
 
 	memset(&addr6, 0, sizeof(addr6));
 
@@ -424,10 +424,10 @@
 
 	addr6.sin6_addr.s6_addr[10] = 0xff;
 	addr6.sin6_addr.s6_addr[11] = 0xff;
-	addr6.sin6_addr.s6_addr[12] = (s_addr >> 24) & 0xFF;
-	addr6.sin6_addr.s6_addr[13] = (s_addr >> 16) & 0xFF;
-	addr6.sin6_addr.s6_addr[14] = (s_addr >> 8) & 0xFF;
-	addr6.sin6_addr.s6_addr[15] = (s_addr) & 0xFF;
+	addr6.sin6_addr.s6_addr[12] = (pg_s_addr >> 24) & 0xFF;
+	addr6.sin6_addr.s6_addr[13] = (pg_s_addr >> 16) & 0xFF;
+	addr6.sin6_addr.s6_addr[14] = (pg_s_addr >> 8) & 0xFF;
+	addr6.sin6_addr.s6_addr[15] = (pg_s_addr) & 0xFF;
 
 	memcpy(addr, &addr6, sizeof(addr6));
 }
@@ -448,11 +448,11 @@
 {
 	struct sockaddr_in addr4;
 	struct sockaddr_in6 addr6;
-	uint32		s_addr;
+	uint32		pg_s_addr;
 	int			i;
 
 	memcpy(&addr4, addr, sizeof(addr4));
-	s_addr = ntohl(addr4.sin_addr.s_addr);
+	pg_s_addr = ntohl(addr4.sin_addr.s_addr);
 
 	memset(&addr6, 0, sizeof(addr6));
 
@@ -461,10 +461,10 @@
 	for (i = 0; i < 12; i++)
 		addr6.sin6_addr.s6_addr[i] = 0xff;
 
-	addr6.sin6_addr.s6_addr[12] = (s_addr >> 24) & 0xFF;
-	addr6.sin6_addr.s6_addr[13] = (s_addr >> 16) & 0xFF;
-	addr6.sin6_addr.s6_addr[14] = (s_addr >> 8) & 0xFF;
-	addr6.sin6_addr.s6_addr[15] = (s_addr) & 0xFF;
+	addr6.sin6_addr.s6_addr[12] = (pg_s_addr >> 24) & 0xFF;
+	addr6.sin6_addr.s6_addr[13] = (pg_s_addr >> 16) & 0xFF;
+	addr6.sin6_addr.s6_addr[14] = (pg_s_addr >> 8) & 0xFF;
+	addr6.sin6_addr.s6_addr[15] = (pg_s_addr) & 0xFF;
 
 	memcpy(addr, &addr6, sizeof(addr6));
 }
